*     *****************************************************************
*     ***************************************************************** 
* 		File-Name:      ch1.dofile       	                 
*   	Date:           Aug 7 2016                                   
*     	Author:         LH	                                          
*     	Purpose:        Create delegation and pooling variables for PCA                   
*    	Input File:     various                                            
*     	Output File:    PD dataset_aug2016.dta			                         
*     	Data Output:    None                                            
*     	Previous file:  None                                            
*     	Machine:        laptop	                                      
*     ****************************************************************  
*     ****************************************************************  

*Table 3.2. MOKKEN SCALE ANALYSIS FOR 2010*
use "MASTER_sept2017_FINAL.dta", clear

* save these values in new data
keep acronym ionumber ioname inception initial end typeI year coverage1 thirdparty1 binding1 tribunal1 nonstate1 remedy1 preliminary1 coverage2 thirdparty2 binding2 tribunal2 nonstate2 remedy2 preliminary2 if end==1
save "mspdata.dta"

*then select the most authoritative DS in end year for each IO. First, calculate sum for DS1 and D2. Next, identify IOs where DS2>DS1 *

*change all missing values to zero*
foreach var of varlist thirdparty1 binding1 tribunal1_2010 nonstate1_2010 remedy1_2010 preliminary1_2010 coverage2 thirdparty2 binding2 tribunal2 nonstate2 remedy2 preliminary2 {
replace `var' = 0 if (`var' >= .)
}
gen sum1 = coverage1 + thirdparty1 + binding1 + tribunal1 + nonstate1 + remedy1 + preliminary1
gen sum2 = coverage2 + thirdparty2 + binding2 + tribunal2 + nonstate2 + remedy2 + preliminary2

gen select=1 if sum1>=sum2
replace select=2 if sum1<sum2

*then replace DS1 with DS2 values if select=2 [3 IOs]
  list ioname ionumber if select==2
  +--------------------+
     |  ioname   ionumber |
     |--------------------|
  2. |     CAN        330 |
  7. | Benelux        840 |
  9. | Caricom        880 |
 52. |   NAFTA       3670 |
 55. |      AU       3760 |
     +--------------------+


edit ionumber coverage1 thirdparty1 binding1 tribunal1 nonstate1 remedy1 preliminary1 coverage2 thirdparty2 binding2 tribunal2 nonstate2 remedy2 preliminary2 if select==2
**manually change the numbers for five IOs**
	 
*then Mokken scale analysis 
msp coverage1 thirdparty1 binding1 tribunal1 nonstate1 remedy1 preliminary1



                      Easyness     Guttman     Guttman    Loevinger               H0: Hj<=0  of NS
Item          Obs      P(Xj=1)      errors      errors      H coeff     z-stat.     p-value    Hjk
---------------------------------------------------------------------------------------------------
preliminary1  78        0.0641           4       19.74      0.79740      9.7669     0.00000      0
nonstate1     78        0.1795          12       43.90      0.72664     11.1881     0.00000      0
tribunal1     78        0.4359          19       66.90      0.71598     14.7216     0.00000      0
binding1      78        0.3462          17       62.23      0.72682     14.6333     0.00000      0
coverage1     78        0.4615          33       66.46      0.50347     13.0626     0.00000      0
thirdparty1   78        0.5000          14       63.00      0.77778     14.7887     0.00000      0
remedy1       78        0.1282           7       35.13      0.80073     11.5580     0.00000      0
---------------------------------------------------------------------------------------------------
Scale         78                        53      178.68                  24.1841     0.00000

tabstat coverage1 thirdparty1 binding1 tribunal1 nonstate1 remedy1 preliminary1, stats (mean)
. tabstat coverage1 thirdparty1 binding1 tribunal1 nonstate1 remedy1 preliminary1, stats (mean)

   stats |  covera~1  thirdp~1  binding1  tribun~1  nonsta~1   remedy1  prelim~1
---------+----------------------------------------------------------------------
    mean |  .5384615  .5576923  .4487179   .525641  .2179487  .1923077  .1089744
--------------------------------------------------------------------------------
